import java.io.*;

public class InputTest {
  public static void main(String[] args) throws IOException {
    try {
      BufferedReader r =
        new BufferedReader(
          new InputStreamReader(
            new LowerCaseInputStream(
              new FileInputStream(args[0]))));

      String line = r.readLine();
      while (line != null) {
        System.out.println(line);
        line = r.readLine();
      }

      r.close();
    } catch (IOException e) {
      e.printStackTrace();
    }
  }
}
